org.modeshape.sequencer.sramp

## Class SrampLexicon

- java.lang.Object
- - org.modeshape.sequencer.sramp.SrampLexicon

-     @Immutable
      public class SrampLexicon
      extends Object

  A lexicon of S-RAMP names used within the XSD sequencer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SrampLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASE_ARTIFACT_TYPE`
    `static String` | `CLASSIFIED_BY`
    `static String` | `CONTENT_ENCODING`
    `static String` | `CONTENT_SIZE`
    `static String` | `CONTENT_TYPE`
    `static String` | `DERIVED_ARTIFACT_TYPE`
    `static String` | `DESCRIPTION`
    `static String` | `DOCUMENT`
    `static String` | `DOCUMENT_ARTIFACT_TYPE`
    `static String` | `PROPERTY_LIST`
    `static String` | `RELATED_DOCUMENTS`
    `static String` | `RELATED_TO`
    `static String` | `STORED_QUERY`
    `static String` | `USER_DEFINED_ARTIFACT_TYPE`
    `static String` | `USER_TYPE`
    `static String` | `XML_DOCUMENT`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASE_ARTIFACT_TYPE

          public static final String BASE_ARTIFACT_TYPE

      See Also:
        Constant Field Values

    - #### CLASSIFIED_BY

          public static final String CLASSIFIED_BY

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### DOCUMENT_ARTIFACT_TYPE

          public static final String DOCUMENT_ARTIFACT_TYPE

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          public static final String CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### CONTENT_SIZE

          public static final String CONTENT_SIZE

      See Also:
        Constant Field Values

    - #### XML_DOCUMENT

          public static final String XML_DOCUMENT

      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING

          public static final String CONTENT_ENCODING

      See Also:
        Constant Field Values

    - #### DOCUMENT

          public static final String DOCUMENT

      See Also:
        Constant Field Values

    - #### DERIVED_ARTIFACT_TYPE

          public static final String DERIVED_ARTIFACT_TYPE

      See Also:
        Constant Field Values

    - #### RELATED_DOCUMENTS

          public static final String RELATED_DOCUMENTS

      See Also:
        Constant Field Values

    - #### USER_DEFINED_ARTIFACT_TYPE

          public static final String USER_DEFINED_ARTIFACT_TYPE

      See Also:
        Constant Field Values

    - #### USER_TYPE

          public static final String USER_TYPE

      See Also:
        Constant Field Values

    - #### STORED_QUERY

          public static final String STORED_QUERY

      See Also:
        Constant Field Values

    - #### PROPERTY_LIST

          public static final String PROPERTY_LIST

      See Also:
        Constant Field Values

    - #### RELATED_TO

          public static final String RELATED_TO

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.